/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | foam-extend: Open Source CFD
   \\    /   O peration     |
    \\  /    A nd           | For copyright notice see file Copyright
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of foam-extend.

    foam-extend is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the
    Free Software Foundation, either version 3 of the License, or (at your
    option) any later version.

    foam-extend is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with foam-extend.  If not, see <http://www.gnu.org/licenses/>.

Description
    Central-difference snGrad scheme with limited non-orthogonal correction.
    The limiter is controlled by a coefficient with a value between 0 and 1
    which when zero switches the limiter off and the scheme behaves as
    correctedSnGrad, and when set to 1 the limiter is calculated such that the
    non-orthogonal contribution does not exceed the orthogonal part.

\*---------------------------------------------------------------------------*/

#include "limitedLnGrad.H"
#include "faMesh.H"

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

namespace Foam
{
namespace fa
{
    makeLnGradScheme(limitedLnGrad)
}
}

// ************************************************************************* //
