/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | foam-extend: Open Source CFD
   \\    /   O peration     |
    \\  /    A nd           | For copyright notice see file Copyright
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of foam-extend.

    foam-extend is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the
    Free Software Foundation, either version 3 of the License, or (at your
    option) any later version.

    foam-extend is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with foam-extend.  If not, see <http://www.gnu.org/licenses/>.

Class
    PointPatchFieldMapperPatchRef

Description

\*---------------------------------------------------------------------------*/

#ifndef PointPatchFieldMapperPatchRef_H
#define PointPatchFieldMapperPatchRef_H

#include "PointPatchFieldMapper.H"

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

namespace Foam
{

/*---------------------------------------------------------------------------*\
                   Class PointPatchFieldMapperPatchRef Declaration
\*---------------------------------------------------------------------------*/

template<class PointPatch>
class PointPatchFieldMapperPatchRef
:
    public PointPatchFieldMapper
{
    // Private data

        const PointPatch& sourcePatch_;
        const PointPatch& targetPatch_;


    // Private Member Functions

        //- Disallow default bitwise copy construct
        PointPatchFieldMapperPatchRef(const PointPatchFieldMapperPatchRef&);

        //- Disallow default bitwise assignment
        void operator=(const PointPatchFieldMapperPatchRef&);


public:

    // Constructors

        //- Construct from components
        PointPatchFieldMapperPatchRef
        (
            const PointPatch& source,
            const PointPatch& target
        )
        :
            sourcePatch_(source),
            targetPatch_(target)
        {}


    // Member functions

        const PointPatch& sourcePatch() const
        {
            return sourcePatch_;
        }

        const PointPatch& targetPatch() const
        {
            return targetPatch_;
        }
};


// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

} // End namespace Foam

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

#endif

// ************************************************************************* //
