/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | foam-extend: Open Source CFD
   \\    /   O peration     |
    \\  /    A nd           | For copyright notice see file Copyright
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of foam-extend.

    foam-extend is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the
    Free Software Foundation, either version 3 of the License, or (at your
    option) any later version.

    foam-extend is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with foam-extend.  If not, see <http://www.gnu.org/licenses/>.

Class
    DummyMatrix

Description
    Dummy matrix file for instantiation of point patch fields on mesh points.

SourceFiles

\*---------------------------------------------------------------------------*/

#ifndef DummyMatrix_H
#define DummyMatrix_H

#include "constraint.H"

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

namespace Foam
{

/*---------------------------------------------------------------------------*\
                           Class DummyMatrix Declaration
\*---------------------------------------------------------------------------*/

template<class Type>
class DummyMatrix
{
    // Private Member Functions

        //- Disallow default bitwise copy construct
        DummyMatrix(const DummyMatrix&);

        //- Disallow default bitwise assignment
        void operator=(const DummyMatrix&);


public:

    // Public typedefs

    typedef constraint<Type> ConstraintType;

    // Constructors

        //- Construct null
        DummyMatrix();

};


// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

} // End namespace Foam


// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

#endif

// ************************************************************************* //
