/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | foam-extend: Open Source CFD
   \\    /   O peration     |
    \\  /    A nd           | For copyright notice see file Copyright
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of foam-extend.

    foam-extend is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the
    Free Software Foundation, either version 3 of the License, or (at your
    option) any later version.

    foam-extend is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with foam-extend.  If not, see <http://www.gnu.org/licenses/>.

Class
    BlockAmgPrecon

Description
    Typedefs for Amg preconditioning.

Author
    Klas Jareteg, 2012-12-13

SourceFiles
    blockAmgPrecons.C

\*---------------------------------------------------------------------------*/

#ifndef blockAmgPrecons_H
#define blockAmgPrecons_H

// KRJ: No specializations implemented
//#include "scalarBlockAmgPrecon.H"
#include "tensorBlockAmgPrecon.H"

#include "BlockAmgPrecon.H"

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

namespace Foam
{

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

typedef BlockAmgPrecon<scalar> blockAmgPreconScalar;
typedef BlockAmgPrecon<vector> blockAmgPreconVector;
typedef BlockAmgPrecon<tensor> blockAmgPreconTensor;

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

} // End namespace Foam

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

#endif

// ************************************************************************* //
