/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | foam-extend: Open Source CFD
   \\    /   O peration     |
    \\  /    A nd           | For copyright notice see file Copyright
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of foam-extend.

    foam-extend is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the
    Free Software Foundation, either version 3 of the License, or (at your
    option) any later version.

    foam-extend is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with foam-extend.  If not, see <http://www.gnu.org/licenses/>.

Description
     Block solvers static data

\*---------------------------------------------------------------------------*/

#include "blockLduSolvers.H"

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

namespace Foam
{

// * * * * * * * * * * * * * * Static Data Members * * * * * * * * * * * * * //

defineNamedTemplateTypeNameAndDebug(blockScalarSolver, 0);
defineNamedTemplateTypeNameAndDebug(blockVectorSolver, 0);
defineNamedTemplateTypeNameAndDebug(blockTensorSolver, 0);


// Define the constructor function hash tables for symmetric solvers

defineTemplateRunTimeSelectionTable
(
    blockScalarSolver,
    symMatrix
);

defineTemplateRunTimeSelectionTable
(
    blockVectorSolver,
    symMatrix
);

defineTemplateRunTimeSelectionTable
(
    blockTensorSolver,
    symMatrix
);


// Define the constructor function hash tables for asymmetric solvers

defineTemplateRunTimeSelectionTable
(
    blockScalarSolver,
    asymMatrix
);

defineTemplateRunTimeSelectionTable
(
    blockVectorSolver,
    asymMatrix
);

defineTemplateRunTimeSelectionTable
(
    blockTensorSolver,
    asymMatrix
);


// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

} // End namespace Foam

// ************************************************************************* //
