/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | foam-extend: Open Source CFD
   \\    /   O peration     |
    \\  /    A nd           | For copyright notice see file Copyright
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of foam-extend.

    foam-extend is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the
    Free Software Foundation, either version 3 of the License, or (at your
    option) any later version.

    foam-extend is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with foam-extend.  If not, see <http://www.gnu.org/licenses/>.

InNamespace
    Foam

Description
    transformFieldField
    Spatial transformation functions for FieldField.

SourceFiles
    transformFieldField.C

\*---------------------------------------------------------------------------*/

#ifndef transformFieldField_H
#define transformFieldField_H

#include "transform.H"
#include "tensorFieldField.H"

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

namespace Foam
{

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

template<template<class> class Field, class Type>
void transform
(
    FieldField<Field, Type>&,
    const FieldField<Field, tensor>&,
    const FieldField<Field, Type>&
);

template<template<class> class Field, class Type>
tmp<FieldField<Field, Type> > transform
(
    const FieldField<Field, tensor>&,
    const FieldField<Field, Type>&
);

template<template<class> class Field, class Type>
tmp<FieldField<Field, Type> > transform
(
    const FieldField<Field, tensor>&,
    const tmp<FieldField<Field, Type> >&
);

template<template<class> class Field, class Type>
tmp<FieldField<Field, Type> > transform
(
    const tmp<FieldField<Field, tensor> >&,
    const FieldField<Field, Type>&
);

template<template<class> class Field, class Type>
tmp<FieldField<Field, Type> > transform
(
    const tmp<FieldField<Field, tensor> >&,
    const tmp<FieldField<Field, Type> >&
);


template<template<class> class Field, class Type>
void transform
(
    FieldField<Field, Type>&,
    const tensor&,
    const FieldField<Field, Type>&
);

template<template<class> class Field, class Type>
tmp<FieldField<Field, Type> > transform
(
    const tensor&,
    const FieldField<Field, Type>&
);

template<template<class> class Field, class Type>
tmp<FieldField<Field, Type> > transform
(
    const tensor&,
    const tmp<FieldField<Field, Type> >&
);


// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

} // End namespace Foam

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

#ifdef NoRepository
#   include "transformFieldField.C"
#endif

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

#endif

// ************************************************************************* //
