/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | foam-extend: Open Source CFD
   \\    /   O peration     |
    \\  /    A nd           | For copyright notice see file Copyright
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of foam-extend.

    foam-extend is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the
    Free Software Foundation, either version 3 of the License, or (at your
    option) any later version.

    foam-extend is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with foam-extend.  If not, see <http://www.gnu.org/licenses/>.

Class
    BlockLduInterfaceField

Description
    Abstract base class for interface fields with block coefficients

Author
    Ivor Clifford, ivor.clifford@gmail.com

\*---------------------------------------------------------------------------*/

#include "BlockLduInterfaceField.H"

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

namespace Foam
{

// * * * * * * * * * * * * * * Static Data Members * * * * * * * * * * * * * //

defineTemplateTypeNameAndDebug(BlockLduInterfaceField<scalar>, 0);
defineTemplateTypeNameAndDebug(BlockLduInterfaceField<vector>, 0);
defineTemplateTypeNameAndDebug(BlockLduInterfaceField<tensor>, 0);
defineTemplateTypeNameAndDebug(BlockLduInterfaceField<sphericalTensor>, 0);
defineTemplateTypeNameAndDebug(BlockLduInterfaceField<symmTensor>, 0);
defineTemplateTypeNameAndDebug(BlockLduInterfaceField<symmTensor4thOrder>, 0);
defineTemplateTypeNameAndDebug(BlockLduInterfaceField<diagTensor>, 0);

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

} // End namespace Foam

// ************************************************************************* //
