/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | foam-extend: Open Source CFD
   \\    /   O peration     |
    \\  /    A nd           | For copyright notice see file Copyright
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of foam-extend.

    foam-extend is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the
    Free Software Foundation, either version 3 of the License, or (at your
    option) any later version.

    foam-extend is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with foam-extend.  If not, see <http://www.gnu.org/licenses/>.

Class
    BlockCoeffMaxNorm

Description
    Typedefs for block max norms.

Author
    Klas Jareteg, 2013-03-07

SourceFiles
    blockCoeffMaxNorms.C

\*---------------------------------------------------------------------------*/

#ifndef blockCoeffMaxNorms_H
#define blockCoeffMaxNorms_H

#include "scalarBlockCoeffMaxNorm.H"
#include "tensorBlockCoeffMaxNorm.H"
#include "BlockCoeffMaxNorm.H"


// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

namespace Foam
{

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

typedef BlockCoeffMaxNorm<scalar> blockCoeffMaxNormScalar;
typedef BlockCoeffMaxNorm<vector> blockCoeffMaxNormVector;
typedef BlockCoeffMaxNorm<tensor> blockCoeffMaxNormTensor;


// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

} // End namespace Foam

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

#endif

// ************************************************************************* //
