/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | foam-extend: Open Source CFD
   \\    /   O peration     |
    \\  /    A nd           | For copyright notice see file Copyright
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of foam-extend.

    foam-extend is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the
    Free Software Foundation, either version 3 of the License, or (at your
    option) any later version.

    foam-extend is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with foam-extend.  If not, see <http://www.gnu.org/licenses/>.

\*---------------------------------------------------------------------------*/

#include "InjectionModel.H"

template<class CloudType>
const Foam::dictionary& Foam::InjectionModel<CloudType>::dict() const
{
    return dict_;
}


template<class CloudType>
const CloudType& Foam::InjectionModel<CloudType>::owner() const
{
    return owner_;
}


template<class CloudType>
CloudType& Foam::InjectionModel<CloudType>::owner()
{
    return owner_;
}


template<class CloudType>
const Foam::dictionary& Foam::InjectionModel<CloudType>::coeffDict() const
{
    return coeffDict_;
}


template<class CloudType>
Foam::scalar Foam::InjectionModel<CloudType>::timeStart() const
{
    return SOI_;
}


template<class CloudType>
Foam::scalar Foam::InjectionModel<CloudType>::volumeTotal() const
{
    return volumeTotal_;
}


template<class CloudType>
Foam::scalar Foam::InjectionModel<CloudType>::massTotal() const
{
    return massTotal_;
}


template<class CloudType>
Foam::scalar Foam::InjectionModel<CloudType>::massInjected() const
{
    return massInjected_;
}


template<class CloudType>
Foam::label Foam::InjectionModel<CloudType>::nInjections() const
{
    return nInjections_;
}


template<class CloudType>
Foam::label Foam::InjectionModel<CloudType>::parcelsAddedTotal() const
{
    return parcelsAddedTotal_;
}


// ************************************************************************* //
