/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | foam-extend: Open Source CFD
   \\    /   O peration     |
    \\  /    A nd           | For copyright notice see file Copyright
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of foam-extend.

    foam-extend is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the
    Free Software Foundation, either version 3 of the License, or (at your
    option) any later version.

    foam-extend is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with foam-extend.  If not, see <http://www.gnu.org/licenses/>.

Class
    Foam::tetherPotentials::pitchForkRing

Description


SourceFiles
    pitchForkRing.C

\*---------------------------------------------------------------------------*/

#ifndef pitchForkRing_H
#define pitchForkRing_H

#include "tetherPotential.H"

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

namespace Foam
{
namespace tetherPotentials
{

/*---------------------------------------------------------------------------*\
                       Class pitchForkRing Declaration
\*---------------------------------------------------------------------------*/

class pitchForkRing
:
    public tetherPotential
{
    // Private data

        dictionary pitchForkRingCoeffs_;

        scalar mu_;
        scalar alpha_;
        scalar rOrbit_;


public:

    //- Runtime type information
    TypeName("pitchForkRing");


    // Constructors

        //- Construct from components
        pitchForkRing
        (
            const word& name,
            const dictionary& tetherPotentialProperties
        );


    // Destructor

        ~pitchForkRing()
        {}


    // Member Functions

        scalar energy(const vector r) const;

        vector force(const vector r) const;

        //- Read dictionary
        bool read(const dictionary& tetherPotentialProperties);
};


// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

} // End namespace tetherPotentials
} // End namespace Foam

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

#endif

// ************************************************************************* //
